/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20090730
 *
 * Disassembly of (null), Tue Dec 08 12:12:09 2009
 *
 *
 * Original Table Header:
 *     Signature        "DSDT"
 *     Length           0x000027C5 (10181)
 *     Revision         0x01 **** ACPI 1.0, no 64-bit math support
 *     Checksum         0x38
 *     OEM ID           "HPQOEM"
 *     OEM Table ID     "DSDT"
 *     OEM Revision     0x00000001 (1)
 *     Compiler ID      "MSFT"
 *     Compiler Version 0x03000001 (50331649)
 */
DefinitionBlock ("DSDT.aml", "DSDT", 1, "HPQOEM", "DSDT", 0x00000001)
{
    OperationRegion (VECT, SystemMemory, 0x000F8000, 0x0100)
    Field (VECT, AnyAcc, NoLock, Preserve)
    {
                Offset (0x04), 
        NPCI,   32, 
        SR4G,   32, 
                Offset (0x20), 
        HPTB,   32, 
                Offset (0x36), 
        ABIO,   32, 
        APAD,   32, 
        APLN,   32, 
        MBBA,   32, 
        RCBA,   32, 
        PEXB,   32, 
        PEXS,   32, 
        S3SV,   8, 
        STMS,   8, 
        WMPI,   8, 
        PTRP,   8, 
        WMBH,   8, 
        WM10,   8, 
        UPEC,   8, 
        TPMP,   8, 
                Offset (0x60), 
        MORB,   8
    }

    OperationRegion (BIOS, SystemMemory, ABIO, 0x1FCB)
    Field (BIOS, AnyAcc, NoLock, Preserve)
    {
        SSMC,   1, 
            ,   1, 
        TRPE,   1, 
        S3RS,   1, 
        PKWN,   1, 
        PMWN,   1, 
        PKWU,   1, 
        PMWU,   1, 
        OPKW,   1, 
        OPMW,   1, 
        S3OC,   1, 
        WN98,   1, 
        WNME,   1, 
        WN2K,   1, 
        WNXP,   1, 
        OSFS,   1, 
        XPS2,   1, 
                Offset (0x04), 
        MLEN,   32, 
        TM2E,   1, 
        ESTE,   1, 
        MBFS,   1, 
        LPTN,   1, 
        CM2N,   1, 
        CM1N,   1, 
        FPMW,   1, 
        RPMA,   1, 
        SATL,   1, 
        MBAY,   1, 
        S3AV,   1, 
        GVCS,   1, 
        HTTE,   1, 
        TM2A,   1, 
        ESTA,   1, 
        FPYP,   1, 
        TPMA,   1, 
        TPMB,   1, 
        C2AV,   1, 
                Offset (0x0C), 
        IHPM,   1, 
        IHPS,   1, 
        IHSM,   1, 
        IHSS,   1, 
        ATPM,   1, 
        ATPS,   1, 
        ATSM,   1, 
        ATSS,   1, 
        IHPC,   2, 
        IHSC,   2, 
        ATPC,   2, 
        ATSC,   2, 
        PITB,   160, 
        SITB,   160, 
        S0TB,   160, 
        S1TB,   160, 
        PMCC,   8, 
        PMCB,   448, 
        PSCC,   8, 
        PSCB,   448, 
        SMCC,   8, 
        SMCB,   448, 
        SSCC,   8, 
        SSCB,   448, 
        S0CC,   8, 
        S0CB,   448, 
        S2CC,   8, 
        S2CB,   448, 
        S1CC,   8, 
        S1CB,   448, 
        S3CC,   8, 
        S3CB,   448, 
        STMC,   8, 
        ODDM,   32, 
        DCHM,   288, 
        PS0F,   16, 
        PS0D,   16, 
        E00S,   32, 
        TOPM,   32, 
        WENC,   8, 
        WSTC,   8, 
        WBNC,   8, 
        WINC,   8, 
        WPWC,   8, 
        WLAC,   8, 
        WDTC,   8, 
        WTIC,   8, 
        WLIC,   8, 
        WEEC,   8, 
        WIEC,   8, 
        WMIB,   33280, 
        WMF1,   1, 
        WMF2,   1, 
        WMF3,   1, 
        WMF4,   1, 
        WMIT,   1, 
        WMIH,   1, 
        WMIP,   1, 
        WMIS,   1, 
        EAX,    32, 
        EBX,    32, 
        ECX,    32, 
        EDX,    32, 
        P0FQ,   16, 
        P1FQ,   16, 
        TM20,   8, 
        TM21,   8, 
        NPRC,   8, 
        NPST,   8, 
        SPSI,   256, 
        SPS1,   256, 
        SPRI,   128, 
        LFID,   8, 
        CPUN,   8, 
        PSSA,   32, 
        PSSZ,   16, 
        CSSA,   32, 
        CSSZ,   16
    }

    Field (BIOS, AnyAcc, NoLock, Preserve)
    {
                Offset (0x0A), 
        IHMS,   4
    }

    Field (BIOS, AnyAcc, NoLock, Preserve)
    {
                Offset (0x24D), 
        PSF0,   1, 
        PSF1,   1, 
        PSF2,   1, 
        PSF3,   1, 
        PSF4,   1, 
        PSF5,   1, 
        PSF6,   1, 
        PSF7,   1, 
        PSF8,   1, 
        PSF9,   1, 
        PSFA,   1, 
        PSFB,   1, 
                Offset (0x24F), 
        PSD0,   1, 
        PSD1,   1, 
        PSD2,   1, 
        PSD3,   1, 
        PSD4,   1, 
        PSD5,   1, 
        PSD6,   1, 
        PSD7,   1, 
        PSD8,   1, 
        PSD9,   1, 
        PSDA,   1, 
        PSDB,   1, 
                Offset (0x251)
    }

    OperationRegion (IDBF, SystemMemory, MBBA, 0x0200)
    Field (IDBF, ByteAcc, NoLock, Preserve)
    {
        MBID,   4096
    }

    OperationRegion (MBFD, SystemIO, 0x044F, 0x01)
    Field (MBFD, ByteAcc, NoLock, Preserve)
    {
        MBFP,   1
    }

    OperationRegion (SSCR, SystemIO, 0xB2, 0x01)
    Field (SSCR, ByteAcc, NoLock, Preserve)
    {
        SSMI,   8
    }

    OperationRegion (SSSR, SystemIO, 0xB3, 0x01)
    Field (SSSR, ByteAcc, NoLock, Preserve)
    {
        DSMI,   8
    }

    OperationRegion (SIPM, SystemIO, 0x0400, 0x80)
    Field (SIPM, ByteAcc, NoLock, Preserve)
    {
        SIPU,   1, 
                Offset (0x05), 
        PXBU,   1, 
            ,   2, 
        NICU,   1, 
        PPEU,   1, 
                Offset (0x07), 
            ,   4, 
        PXAU,   1, 
        P16U,   1, 
                Offset (0x08), 
        RI1U,   1, 
        RI2U,   1, 
                Offset (0x0B), 
        PXBN,   1, 
            ,   2, 
        NICN,   1, 
        PPEN,   1, 
                Offset (0x0D), 
            ,   4, 
        PXAN,   1, 
        P16N,   1, 
                Offset (0x0E), 
        RI1N,   1, 
        RI2N,   1, 
                Offset (0x14), 
            ,   3, 
        PSMI,   1, 
            ,   3, 
        SMI6,   1, 
                Offset (0x53), 
        WDTV,   8, 
                Offset (0x55), 
        WDTO,   1, 
                Offset (0x68), 
            ,   6, 
        P04U,   1, 
                Offset (0x69), 
            ,   6, 
        SL4U,   1, 
        WDTS,   1, 
                Offset (0x6C), 
            ,   6, 
        P04N,   1, 
                Offset (0x6D), 
            ,   6, 
        SL4N,   1, 
        WDTN,   1
    }

    Name (\PICM, Zero)
    Name (\S3ON, Zero)
    Method (\_PIC, 1, NotSerialized)
    {
        Store (Arg0, \PICM)
    }

    Scope (\_SB)
    {
        Device (PCI0)
        {
            Name (_HID, EisaId ("PNP0A08"))
            Name (_CID, EisaId ("PNP0A03"))
            Name (_ADR, 0x00)
            Method (_PRT, 0, NotSerialized)
            {
                If (LEqual (\PICM, Zero))
                {
                    Return (Package (0x20)
                    {
                        Package (0x04)
                        {
                            0xFFFF, 
                            0x00, 
                            \_SB.LNKA, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0xFFFF, 
                            0x01, 
                            \_SB.LNKB, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0xFFFF, 
                            0x02, 
                            \_SB.LNKC, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0xFFFF, 
                            0x03, 
                            \_SB.LNKD, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0001FFFF, 
                            0x00, 
                            \_SB.LNKA, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0001FFFF, 
                            0x01, 
                            \_SB.LNKB, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0001FFFF, 
                            0x02, 
                            \_SB.LNKC, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0001FFFF, 
                            0x03, 
                            \_SB.LNKD, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0003FFFF, 
                            0x00, 
                            \_SB.LNKA, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0003FFFF, 
                            0x01, 
                            \_SB.LNKB, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0003FFFF, 
                            0x02, 
                            \_SB.LNKC, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0003FFFF, 
                            0x03, 
                            \_SB.LNKD, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0005FFFF, 
                            0x00, 
                            \_SB.LNKA, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0005FFFF, 
                            0x01, 
                            \_SB.LNKB, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0005FFFF, 
                            0x02, 
                            \_SB.LNKC, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0005FFFF, 
                            0x03, 
                            \_SB.LNKD, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0009FFFF, 
                            0x00, 
                            \_SB.LNKA, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0009FFFF, 
                            0x01, 
                            \_SB.LNKB, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0009FFFF, 
                            0x02, 
                            \_SB.LNKC, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x0009FFFF, 
                            0x03, 
                            \_SB.LNKD, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001BFFFF, 
                            0x00, 
                            \_SB.LNKF, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001CFFFF, 
                            0x00, 
                            \_SB.LNKA, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001CFFFF, 
                            0x01, 
                            \_SB.LNKB, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001CFFFF, 
                            0x02, 
                            \_SB.LNKC, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001CFFFF, 
                            0x03, 
                            \_SB.LNKD, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001DFFFF, 
                            0x00, 
                            \_SB.LNKA, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001DFFFF, 
                            0x01, 
                            \_SB.LNKD, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001DFFFF, 
                            0x02, 
                            \_SB.LNKC, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001DFFFF, 
                            0x03, 
                            \_SB.LNKG, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001FFFFF, 
                            0x00, 
                            \_SB.LNKB, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001FFFFF, 
                            0x01, 
                            \_SB.LNKD, 
                            0x00
                        }, 

                        Package (0x04)
                        {
                            0x001FFFFF, 
                            0x02, 
                            \_SB.LNKC, 
                            0x00
                        }
                    })
                }
                Else
                {
                    Return (Package (0x20)
                    {
                        Package (0x04)
                        {
                            0xFFFF, 
                            0x00, 
                            0x00, 
                            0x10
                        }, 

                        Package (0x04)
                        {
                            0xFFFF, 
                            0x01, 
                            0x00, 
                            0x11
                        }, 

                        Package (0x04)
                        {
                            0xFFFF, 
                            0x02, 
                            0x00, 
                            0x12
                        }, 

                        Package (0x04)
                        {
                            0xFFFF, 
                            0x03, 
                            0x00, 
                            0x13
                        }, 

                        Package (0x04)
                        {
                            0x0001FFFF, 
                            0x00, 
                            0x00, 
                            0x18
                        }, 

                        Package (0x04)
                        {
                            0x0001FFFF, 
                            0x01, 
                            0x00, 
                            0x22
                        }, 

                        Package (0x04)
                        {
                            0x0001FFFF, 
                            0x02, 
                            0x00, 
                            0x2A
                        }, 

                        Package (0x04)
                        {
                            0x0001FFFF, 
                            0x03, 
                            0x00, 
                            0x26
                        }, 

                        Package (0x04)
                        {
                            0x0003FFFF, 
                            0x00, 
                            0x00, 
                            0x1A
                        }, 

                        Package (0x04)
                        {
                            0x0003FFFF, 
                            0x01, 
                            0x00, 
                            0x23
                        }, 

                        Package (0x04)
                        {
                            0x0003FFFF, 
                            0x02, 
                            0x00, 
                            0x2B
                        }, 

                        Package (0x04)
                        {
                            0x0003FFFF, 
                            0x03, 
                            0x00, 
                            0x27
                        }, 

                        Package (0x04)
                        {
                            0x0005FFFF, 
                            0x00, 
                            0x00, 
                            0x1C
                        }, 

                        Package (0x04)
                        {
                            0x0005FFFF, 
                            0x01, 
                            0x00, 
                            0x24
                        }, 

                        Package (0x04)
                        {
                            0x0005FFFF, 
                            0x02, 
                            0x00, 
                            0x2C
                        }, 

                        Package (0x04)
                        {
                            0x0005FFFF, 
                            0x03, 
                            0x00, 
                            0x28
                        }, 

                        Package (0x04)
                        {
                            0x0009FFFF, 
                            0x00, 
                            0x00, 
                            0x20
                        }, 

                        Package (0x04)
                        {
                            0x0009FFFF, 
                            0x01, 
                            0x00, 
                            0x2E
                        }, 

                        Package (0x04)
                        {
                            0x0009FFFF, 
                            0x02, 
                            0x00, 
                            0x2F
                        }, 

                        Package (0x04)
                        {
                            0x0009FFFF, 
                            0x03, 
                            0x00, 
                            0x2E
                        }, 

                        Package (0x04)
                        {
                            0x001BFFFF, 
                            0x00, 
                            0x00, 
                            0x15
                        }, 

                        Package (0x04)
                        {
                            0x001CFFFF, 
                            0x00, 
                            0x00, 
                            0x10
                        }, 

                        Package (0x04)
                        {
                            0x001CFFFF, 
                            0x01, 
                            0x00, 
                            0x11
                        }, 

                        Package (0x04)
                        {
                            0x001CFFFF, 
                            0x02, 
                            0x00, 
                            0x12
                        }, 

                        Package (0x04)
                        {
                            0x001CFFFF, 
                            0x03, 
                            0x00, 
                            0x13
                        }, 

                        Package (0x04)
                        {
                            0x001DFFFF, 
                            0x00, 
                            0x00, 
                            0x10
                        }, 

                        Package (0x04)
                        {
                            0x001DFFFF, 
                            0x01, 
                            0x00, 
                            0x13
                        }, 

                        Package (0x04)
                        {
                            0x001DFFFF, 
                            0x02, 
                            0x00, 
                            0x12
                        }, 

                        Package (0x04)
                        {
                            0x001DFFFF, 
                            0x03, 
                            0x00, 
                            0x16
                        }, 

                        Package (0x04)
                        {
                            0x001FFFFF, 
                            0x00, 
                            0x00, 
                            0x11
                        }, 

                        Package (0x04)
                        {
                            0x001FFFFF, 
                            0x01, 
                            0x00, 
                            0x13
                        }, 

                        Package (0x04)
                        {
                            0x001FFFFF, 
                            0x02, 
                            0x00, 
                            0x12
                        }
                    })
                }
            }

            Name (_PRW, Package (0x02)
            {
                0x0B, 
                0x04
            })
            Method (_S1D, 0, NotSerialized)
            {
                Return (One)
            }

            Method (_S4D, 0, NotSerialized)
            {
                Return (0x03)
            }

            Device (MCH1)
            {
                Name (_ADR, 0x00010000)
                OperationRegion (SLST, PCI_Config, 0x86, 0x02)
                Field (SLST, WordAcc, NoLock, Preserve)
                {
                        ,   6, 
                    SPDS,   1
                }

                OperationRegion (RSTS, PCI_Config, 0x8C, 0x04)
                Field (RSTS, DWordAcc, NoLock, Preserve)
                {
                            Offset (0x02), 
                    PEPS,   1
                }

                OperationRegion (PGLC, PCI_Config, 0x48, 0x04)
                Field (PGLC, DWordAcc, NoLock, Preserve)
                {
                        ,   9, 
                    PMGE,   1
                }

                Name (_PRW, Package (0x02)
                {
                    0x09, 
                    0x04
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }

                Method (_PRT, 0, NotSerialized)
                {
                    If (LEqual (\PICM, Zero))
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                \_SB.LNKA, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                \_SB.LNKB, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                \_SB.LNKC, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                \_SB.LNKD, 
                                0x00
                            }
                        })
                    }
                    Else
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                0x00, 
                                0x18
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                0x00, 
                                0x22
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                0x00, 
                                0x2A
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                0x00, 
                                0x26
                            }
                        })
                    }
                }
            }

            Device (MCH3)
            {
                Name (_ADR, 0x00030000)
                OperationRegion (MDEV, PCI_Config, 0x00, 0x02)
                Field (MDEV, WordAcc, NoLock, Preserve)
                {
                    MCHV,   16
                }

                OperationRegion (SLST, PCI_Config, 0x86, 0x02)
                Field (SLST, WordAcc, NoLock, Preserve)
                {
                        ,   6, 
                    SPDS,   1
                }

                OperationRegion (RSTS, PCI_Config, 0x8C, 0x04)
                Field (RSTS, DWordAcc, NoLock, Preserve)
                {
                            Offset (0x02), 
                    PEPS,   1
                }

                OperationRegion (PGLC, PCI_Config, 0x48, 0x04)
                Field (PGLC, DWordAcc, NoLock, Preserve)
                {
                        ,   9, 
                    PMGE,   1
                }

                Name (_PRW, Package (0x02)
                {
                    0x09, 
                    0x04
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }

                Method (_PRT, 0, NotSerialized)
                {
                    If (LEqual (\PICM, Zero))
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                \_SB.LNKA, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                \_SB.LNKB, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                \_SB.LNKC, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                \_SB.LNKD, 
                                0x00
                            }
                        })
                    }
                    Else
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                0x00, 
                                0x1A
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                0x00, 
                                0x23
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                0x00, 
                                0x2B
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                0x00, 
                                0x27
                            }
                        })
                    }
                }
            }

            Device (MCH5)
            {
                Name (_ADR, 0x00050000)
                OperationRegion (SLST, PCI_Config, 0x86, 0x02)
                Field (SLST, WordAcc, NoLock, Preserve)
                {
                        ,   6, 
                    SPDS,   1
                }

                OperationRegion (RSTS, PCI_Config, 0x8C, 0x04)
                Field (RSTS, DWordAcc, NoLock, Preserve)
                {
                            Offset (0x02), 
                    PEPS,   1
                }

                OperationRegion (PGLC, PCI_Config, 0x48, 0x04)
                Field (PGLC, DWordAcc, NoLock, Preserve)
                {
                        ,   9, 
                    PMGE,   1
                }

                Name (_PRW, Package (0x02)
                {
                    0x09, 
                    0x04
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }

                Method (_PRT, 0, NotSerialized)
                {
                    If (LEqual (\PICM, Zero))
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                \_SB.LNKA, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                \_SB.LNKB, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                \_SB.LNKC, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                \_SB.LNKD, 
                                0x00
                            }
                        })
                    }
                    Else
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                0x00, 
                                0x1C
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                0x00, 
                                0x24
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                0x00, 
                                0x2C
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                0x00, 
                                0x28
                            }
                        })
                    }
                }
            }

            Device (MCH9)
            {
                Name (_ADR, 0x00090000)
                OperationRegion (SLST, PCI_Config, 0x86, 0x02)
                Field (SLST, WordAcc, NoLock, Preserve)
                {
                        ,   6, 
                    SPDS,   1
                }

                OperationRegion (RSTS, PCI_Config, 0x8C, 0x04)
                Field (RSTS, DWordAcc, NoLock, Preserve)
                {
                            Offset (0x02), 
                    PEPS,   1
                }

                OperationRegion (PGLC, PCI_Config, 0x48, 0x04)
                Field (PGLC, DWordAcc, NoLock, Preserve)
                {
                        ,   9, 
                    PMGE,   1
                }

                Name (_PRW, Package (0x02)
                {
                    0x09, 
                    0x04
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }

                Device (MUPP)
                {
                    Name (_ADR, 0x00)
                    Method (_S1D, 0, NotSerialized)
                    {
                        Return (One)
                    }

                    Method (_S3D, 0, NotSerialized)
                    {
                        Return (0x03)
                    }

                    Method (_S4D, 0, NotSerialized)
                    {
                        Return (0x03)
                    }

                    Method (_PRT, 0, NotSerialized)
                    {
                        If (LEqual (\PICM, Zero))
                        {
                            Return (Package (0x08)
                            {
                                Package (0x04)
                                {
                                    0xFFFF, 
                                    0x00, 
                                    \_SB.LNKA, 
                                    0x00
                                }, 

                                Package (0x04)
                                {
                                    0xFFFF, 
                                    0x01, 
                                    \_SB.LNKB, 
                                    0x00
                                }, 

                                Package (0x04)
                                {
                                    0xFFFF, 
                                    0x02, 
                                    \_SB.LNKC, 
                                    0x00
                                }, 

                                Package (0x04)
                                {
                                    0xFFFF, 
                                    0x03, 
                                    \_SB.LNKD, 
                                    0x00
                                }, 

                                Package (0x04)
                                {
                                    0x0001FFFF, 
                                    0x00, 
                                    \_SB.LNKB, 
                                    0x00
                                }, 

                                Package (0x04)
                                {
                                    0x0001FFFF, 
                                    0x01, 
                                    \_SB.LNKC, 
                                    0x00
                                }, 

                                Package (0x04)
                                {
                                    0x0001FFFF, 
                                    0x02, 
                                    \_SB.LNKD, 
                                    0x00
                                }, 

                                Package (0x04)
                                {
                                    0x0001FFFF, 
                                    0x03, 
                                    \_SB.LNKA, 
                                    0x00
                                }
                            })
                        }
                        Else
                        {
                            Return (Package (0x08)
                            {
                                Package (0x04)
                                {
                                    0xFFFF, 
                                    0x00, 
                                    0x00, 
                                    0x20
                                }, 

                                Package (0x04)
                                {
                                    0xFFFF, 
                                    0x01, 
                                    0x00, 
                                    0x2E
                                }, 

                                Package (0x04)
                                {
                                    0xFFFF, 
                                    0x02, 
                                    0x00, 
                                    0x2F
                                }, 

                                Package (0x04)
                                {
                                    0xFFFF, 
                                    0x03, 
                                    0x00, 
                                    0x2E
                                }, 

                                Package (0x04)
                                {
                                    0x0001FFFF, 
                                    0x00, 
                                    0x00, 
                                    0x2E
                                }, 

                                Package (0x04)
                                {
                                    0x0001FFFF, 
                                    0x01, 
                                    0x00, 
                                    0x2F
                                }, 

                                Package (0x04)
                                {
                                    0x0001FFFF, 
                                    0x02, 
                                    0x00, 
                                    0x2E
                                }, 

                                Package (0x04)
                                {
                                    0x0001FFFF, 
                                    0x03, 
                                    0x00, 
                                    0x20
                                }
                            })
                        }
                    }

                    Device (PTE1)
                    {
                        Name (_ADR, 0x00)
                        OperationRegion (SLST, PCI_Config, 0x5E, 0x02)
                        Field (SLST, WordAcc, NoLock, Preserve)
                        {
                                ,   6, 
                            SPDS,   1
                        }

                        OperationRegion (PMCR, PCI_Config, 0x74, 0x02)
                        Field (PMCR, WordAcc, NoLock, Preserve)
                        {
                                    Offset (0x01), 
                            PMGE,   1, 
                                ,   6, 
                            PEPS,   1
                        }

                        Name (_PRW, Package (0x02)
                        {
                            0x09, 
                            0x04
                        })
                        Method (_S1D, 0, NotSerialized)
                        {
                            Return (One)
                        }

                        Method (_S3D, 0, NotSerialized)
                        {
                            Return (0x03)
                        }

                        Method (_S4D, 0, NotSerialized)
                        {
                            Return (0x03)
                        }

                        Method (_PRT, 0, NotSerialized)
                        {
                            If (LEqual (\PICM, Zero))
                            {
                                Return (Package (0x04)
                                {
                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x00, 
                                        \_SB.LNKA, 
                                        0x00
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x01, 
                                        \_SB.LNKB, 
                                        0x00
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x02, 
                                        \_SB.LNKC, 
                                        0x00
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x03, 
                                        \_SB.LNKD, 
                                        0x00
                                    }
                                })
                            }
                            Else
                            {
                                Return (Package (0x04)
                                {
                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x00, 
                                        0x00, 
                                        0x20
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x01, 
                                        0x00, 
                                        0x2E
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x02, 
                                        0x00, 
                                        0x2F
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x03, 
                                        0x00, 
                                        0x2E
                                    }
                                })
                            }
                        }
                    }

                    Device (PTE2)
                    {
                        Name (_ADR, 0x00010000)
                        OperationRegion (SLST, PCI_Config, 0x5E, 0x02)
                        Field (SLST, WordAcc, NoLock, Preserve)
                        {
                                ,   6, 
                            SPDS,   1
                        }

                        OperationRegion (PMCR, PCI_Config, 0x74, 0x02)
                        Field (PMCR, WordAcc, NoLock, Preserve)
                        {
                                    Offset (0x01), 
                            PMGE,   1, 
                                ,   6, 
                            PEPS,   1
                        }

                        Name (_PRW, Package (0x02)
                        {
                            0x09, 
                            0x04
                        })
                        Method (_S1D, 0, NotSerialized)
                        {
                            Return (One)
                        }

                        Method (_S3D, 0, NotSerialized)
                        {
                            Return (0x03)
                        }

                        Method (_S4D, 0, NotSerialized)
                        {
                            Return (0x03)
                        }

                        Method (_PRT, 0, NotSerialized)
                        {
                            If (LEqual (\PICM, Zero))
                            {
                                Return (Package (0x04)
                                {
                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x00, 
                                        \_SB.LNKB, 
                                        0x00
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x01, 
                                        \_SB.LNKC, 
                                        0x00
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x02, 
                                        \_SB.LNKD, 
                                        0x00
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x03, 
                                        \_SB.LNKA, 
                                        0x00
                                    }
                                })
                            }
                            Else
                            {
                                Return (Package (0x04)
                                {
                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x00, 
                                        0x00, 
                                        0x2E
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x01, 
                                        0x00, 
                                        0x2F
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x02, 
                                        0x00, 
                                        0x2E
                                    }, 

                                    Package (0x04)
                                    {
                                        0xFFFF, 
                                        0x03, 
                                        0x00, 
                                        0x20
                                    }
                                })
                            }
                        }
                    }
                }
            }

            Device (API2)
            {
                Name (_ADR, 0x00120000)
                Name (_HID, EisaId ("PNP0003"))
                Name (_UID, 0x02)
                Name (_CRS, ResourceTemplate ()
                {
                    Memory32Fixed (ReadWrite,
                        0xFEC89000,         // Address Base
                        0x00000100,         // Address Length
                        )
                })
                Method (_STA, 0, NotSerialized)
                {
                    If (LEqual (\PICM, One))
                    {
                        Return (0x0F)
                    }
                    Else
                    {
                        Return (0x0B)
                    }
                }
            }

            Device (PCX1)
            {
                Name (_ADR, 0x001C0000)
                OperationRegion (SLST, PCI_Config, 0x5A, 0x02)
                Field (SLST, WordAcc, NoLock, Preserve)
                {
                        ,   6, 
                    SPDS,   1
                }

                OperationRegion (RSTS, PCI_Config, 0x60, 0x04)
                Field (RSTS, DWordAcc, NoLock, Preserve)
                {
                            Offset (0x02), 
                    PEPS,   1
                }

                OperationRegion (MPCR, PCI_Config, 0xD8, 0x04)
                Field (MPCR, DWordAcc, NoLock, Preserve)
                {
                        ,   31, 
                    PMCE,   1
                }

                OperationRegion (SSCS, PCI_Config, 0xDC, 0x04)
                Field (SSCS, DWordAcc, NoLock, Preserve)
                {
                        ,   31, 
                    PMCS,   1
                }

                Name (_PRW, Package (0x02)
                {
                    0x09, 
                    0x04
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }

                Method (_PRT, 0, NotSerialized)
                {
                    If (LEqual (\PICM, Zero))
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                \_SB.LNKA, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                \_SB.LNKB, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                \_SB.LNKC, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                \_SB.LNKD, 
                                0x00
                            }
                        })
                    }
                    Else
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                0x00, 
                                0x10
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                0x00, 
                                0x11
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                0x00, 
                                0x12
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                0x00, 
                                0x13
                            }
                        })
                    }
                }

                Device (NIC1)
                {
                    Name (_ADR, 0x00)
                    Name (_PRW, Package (0x02)
                    {
                        0x08, 
                        0x04
                    })
                    Method (_PSW, 1, NotSerialized)
                    {
                        If (LEqual (Arg0, 0x00))
                        {
                            Store (Zero, NICN)
                        }
                        Else
                        {
                            Store (One, NICN)
                        }
                    }
                }
            }

            Device (PCX2)
            {
                Name (_ADR, 0x001C0001)
                OperationRegion (SLST, PCI_Config, 0x5A, 0x02)
                Field (SLST, WordAcc, NoLock, Preserve)
                {
                        ,   6, 
                    SPDS,   1
                }

                OperationRegion (RSTS, PCI_Config, 0x60, 0x04)
                Field (RSTS, DWordAcc, NoLock, Preserve)
                {
                            Offset (0x02), 
                    PEPS,   1
                }

                OperationRegion (MPCR, PCI_Config, 0xD8, 0x04)
                Field (MPCR, DWordAcc, NoLock, Preserve)
                {
                        ,   31, 
                    PMCE,   1
                }

                OperationRegion (SSCS, PCI_Config, 0xDC, 0x04)
                Field (SSCS, DWordAcc, NoLock, Preserve)
                {
                        ,   31, 
                    PMCS,   1
                }

                Method (_PRT, 0, NotSerialized)
                {
                    If (LEqual (\PICM, Zero))
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                \_SB.LNKB, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                \_SB.LNKC, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                \_SB.LNKD, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                \_SB.LNKA, 
                                0x00
                            }
                        })
                    }
                    Else
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                0x00, 
                                0x11
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                0x00, 
                                0x12
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                0x00, 
                                0x13
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                0x00, 
                                0x10
                            }
                        })
                    }
                }

                Device (NIC2)
                {
                    Name (_ADR, 0x00)
                    Name (_PRW, Package (0x02)
                    {
                        0x08, 
                        0x04
                    })
                    Method (_PSW, 1, NotSerialized)
                    {
                        If (LEqual (Arg0, 0x00))
                        {
                            Store (Zero, NICN)
                        }
                        Else
                        {
                            Store (One, NICN)
                        }
                    }
                }
            }

            Device (PCX3)
            {
                Name (_ADR, 0x001C0002)
                OperationRegion (MDEV, PCI_Config, 0x00, 0x02)
                Field (MDEV, WordAcc, NoLock, Preserve)
                {
                    MCHV,   16
                }

                OperationRegion (SLST, PCI_Config, 0x5A, 0x02)
                Field (SLST, WordAcc, NoLock, Preserve)
                {
                        ,   6, 
                    SPDS,   1
                }

                OperationRegion (RSTS, PCI_Config, 0x60, 0x04)
                Field (RSTS, DWordAcc, NoLock, Preserve)
                {
                            Offset (0x02), 
                    PEPS,   1
                }

                OperationRegion (MPCR, PCI_Config, 0xD8, 0x04)
                Field (MPCR, DWordAcc, NoLock, Preserve)
                {
                        ,   31, 
                    PMCE,   1
                }

                OperationRegion (SSCS, PCI_Config, 0xDC, 0x04)
                Field (SSCS, DWordAcc, NoLock, Preserve)
                {
                        ,   31, 
                    PMCS,   1
                }

                Method (_PRT, 0, NotSerialized)
                {
                    If (LEqual (\PICM, Zero))
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                \_SB.LNKC, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                \_SB.LNKD, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                \_SB.LNKA, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                \_SB.LNKB, 
                                0x00
                            }
                        })
                    }
                    Else
                    {
                        Return (Package (0x04)
                        {
                            Package (0x04)
                            {
                                0xFFFF, 
                                0x00, 
                                0x00, 
                                0x12
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x01, 
                                0x00, 
                                0x13
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x02, 
                                0x00, 
                                0x10
                            }, 

                            Package (0x04)
                            {
                                0xFFFF, 
                                0x03, 
                                0x00, 
                                0x11
                            }
                        })
                    }
                }
            }

            Device (HUB)
            {
                Name (_ADR, 0x001E0000)
                Name (_PRW, Package (0x02)
                {
                    0x0B, 
                    0x04
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }

                Method (_PRT, 0, NotSerialized)
                {
                    If (LEqual (\PICM, Zero))
                    {
                        Return (Package (0x09)
                        {
                            Package (0x04)
                            {
                                0x0004FFFF, 
                                0x00, 
                                \_SB.LNKA, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0x0004FFFF, 
                                0x01, 
                                \_SB.LNKC, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0x0004FFFF, 
                                0x02, 
                                \_SB.LNKF, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0x0004FFFF, 
                                0x03, 
                                \_SB.LNKG, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0x0005FFFF, 
                                0x00, 
                                \_SB.LNKD, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0x0009FFFF, 
                                0x00, 
                                \_SB.LNKC, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0x0009FFFF, 
                                0x01, 
                                \_SB.LNKF, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0x0009FFFF, 
                                0x02, 
                                \_SB.LNKG, 
                                0x00
                            }, 

                            Package (0x04)
                            {
                                0x0009FFFF, 
                                0x03, 
                                \_SB.LNKA, 
                                0x00
                            }
                        })
                    }
                    Else
                    {
                        Return (Package (0x09)
                        {
                            Package (0x04)
                            {
                                0x0004FFFF, 
                                0x00, 
                                0x00, 
                                0x10
                            }, 

                            Package (0x04)
                            {
                                0x0004FFFF, 
                                0x01, 
                                0x00, 
                                0x12
                            }, 

                            Package (0x04)
                            {
                                0x0004FFFF, 
                                0x02, 
                                0x00, 
                                0x15
                            }, 

                            Package (0x04)
                            {
                                0x0004FFFF, 
                                0x03, 
                                0x00, 
                                0x16
                            }, 

                            Package (0x04)
                            {
                                0x0005FFFF, 
                                0x00, 
                                0x00, 
                                0x13
                            }, 

                            Package (0x04)
                            {
                                0x0009FFFF, 
                                0x00, 
                                0x00, 
                                0x12
                            }, 

                            Package (0x04)
                            {
                                0x0009FFFF, 
                                0x01, 
                                0x00, 
                                0x15
                            }, 

                            Package (0x04)
                            {
                                0x0009FFFF, 
                                0x02, 
                                0x00, 
                                0x16
                            }, 

                            Package (0x04)
                            {
                                0x0009FFFF, 
                                0x03, 
                                0x00, 
                                0x10
                            }
                        })
                    }
                }
            }

            Device (LPC)
            {
                Name (_ADR, 0x001F0000)
                OperationRegion (PMIO, SystemIO, 0xF800, 0x50)
                Field (PMIO, ByteAcc, NoLock, Preserve)
                {
                            Offset (0x38), 
                        ,   6, 
                    GPIE,   1
                }

                OperationRegion (REGS, PCI_Config, 0x40, 0xC0)
                Field (REGS, DWordAcc, NoLock, Preserve)
                {
                    PMBA,   16, 
                            Offset (0x18), 
                    GPBA,   16, 
                            Offset (0x79), 
                    ROUT,   8, 
                            Offset (0xB0), 
                        ,   5, 
                    FUND,   2
                }

                OperationRegion (PIRQ, PCI_Config, 0x60, 0x0C)
                Field (PIRQ, ByteAcc, NoLock, Preserve)
                {
                    PIRA,   8, 
                    PIRB,   8, 
                    PIRC,   8, 
                    PIRD,   8, 
                            Offset (0x08), 
                    PIRE,   8, 
                    PIRF,   8, 
                    PIRG,   8, 
                    PIRH,   8
                }

                OperationRegion (GPM1, PCI_Config, 0xA0, 0x02)
                Field (GPM1, WordAcc, NoLock, Preserve)
                {
                        ,   10, 
                    BPEN,   1
                }
            }

            Device (USB1)
            {
                Name (_ADR, 0x001D0000)
                Name (_PRW, Package (0x02)
                {
                    0x03, 
                    0x03
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }
            }

            Device (USB2)
            {
                Name (_ADR, 0x001D0001)
                Name (_PRW, Package (0x02)
                {
                    0x04, 
                    0x03
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }
            }

            Device (USB3)
            {
                Name (_ADR, 0x001D0002)
                Name (_PRW, Package (0x02)
                {
                    0x0C, 
                    0x03
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }
            }

            Device (USB4)
            {
                Name (_ADR, 0x001D0003)
                Name (_PRW, Package (0x02)
                {
                    0x0E, 
                    0x03
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }
            }

            Device (EUSB)
            {
                Name (_ADR, 0x001D0007)
                Name (_PRW, Package (0x02)
                {
                    0x0D, 
                    0x03
                })
                Method (_S1D, 0, NotSerialized)
                {
                    Return (One)
                }

                Method (_S4D, 0, NotSerialized)
                {
                    Return (0x03)
                }
            }

            Method (NATA, 0, NotSerialized)
            {
                If (SATL)
                {
                    Return (Package (0x01)
                    {
                        0x001F0002
                    })
                }
                Else
                {
                    Return (Package (0x01)
                    {
                        0x001F0001
                    })
                }
            }

            Device (IDE)
            {
                Method (_ADR, 0, NotSerialized)
                {
                    If (SATL)
                    {
                        Return (0x001F0002)
                    }
                    Else
                    {
                        Return (0x001F0001)
                    }
                }

                OperationRegion (CIDE, PCI_Config, 0x00, 0x93)
                Field (CIDE, ByteAcc, NoLock, Preserve)
                {
                            Offset (0x09), 
                    PNAV,   1, 
                        ,   1, 
                    SNAV,   1, 
                            Offset (0x90), 
                    CMAP,   4, 
                            Offset (0x92), 
                    CPWR,   2, 
                        ,   2, 
                    CPRS,   2
                }

                Field (CIDE, DWordAcc, NoLock, Preserve)
                {
                            Offset (0x10), 
                    PNCM,   32, 
                    PNCL,   32, 
                    SNCM,   32, 
                    SNCL,   32
                }

                Field (CIDE, ByteAcc, NoLock, Preserve)
                {
                            Offset (0x92), 
                    SA92,   8
                }

                Method (PBLK, 1, NotSerialized)
                {
                    If (PNAV)
                    {
                        Return (Add (Arg0, And (PNCM, 0xFFFFFFFE)))
                    }
                    Else
                    {
                        Return (Add (Arg0, 0x01F0))
                    }
                }

                Method (SBLK, 1, NotSerialized)
                {
                    If (SNAV)
                    {
                        Return (Add (Arg0, And (SNCM, 0xFFFFFFFE)))
                    }
                    Else
                    {
                        Return (Add (Arg0, 0x0170))
                    }
                }

                Method (PCNL, 0, NotSerialized)
                {
                    If (PNAV)
                    {
                        Return (Add (0x02, And (PNCL, 0xFFFFFFFE)))
                    }
                    Else
                    {
                        Return (0x03F6)
                    }
                }

                Method (SCNL, 0, NotSerialized)
                {
                    If (SNAV)
                    {
                        Return (Add (0x02, And (SNCL, 0xFFFFFFFE)))
                    }
                    Else
                    {
                        Return (0x0376)
                    }
                }
            }
        }

        Device (LNKA)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x01)
            Name (CRES, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, _Y00)
                    {11}
            })
            Method (_STA, 0, NotSerialized)
            {
                And (\_SB.PCI0.LPC.PIRA, 0x80, Local0)
                If (LEqual (Local0, 0x80))
                {
                    Return (0x09)
                }
                Else
                {
                    Return (0x0B)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Or (\_SB.PCI0.LPC.PIRA, 0x80, \_SB.PCI0.LPC.PIRA)
            }

            Name (_PRS, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, )
                    {3,4,5,6,7,10,11,14,15}
            })
            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (CRES, \_SB.LNKA._Y00._INT, IRQW)
                And (\_SB.PCI0.LPC.PIRA, 0x0F, Local0)
                Store (One, Local1)
                ShiftLeft (Local1, Local0, IRQW)
                Return (CRES)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, 0x01, IRQW)
                And (\_SB.PCI0.LPC.PIRA, 0x70, Local0)
                Store (Zero, Local1)
                FindSetLeftBit (IRQW, Local1)
                Or (Local0, Decrement (Local1), \_SB.PCI0.LPC.PIRA)
            }
        }

        Device (LNKB)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x02)
            Name (CRES, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, _Y01)
                    {11}
            })
            Method (_STA, 0, NotSerialized)
            {
                And (\_SB.PCI0.LPC.PIRB, 0x80, Local0)
                If (LEqual (Local0, 0x80))
                {
                    Return (0x09)
                }
                Else
                {
                    Return (0x0B)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Or (\_SB.PCI0.LPC.PIRB, 0x80, \_SB.PCI0.LPC.PIRB)
            }

            Name (_PRS, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, )
                    {3,4,5,6,7,10,11,14,15}
            })
            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (CRES, \_SB.LNKB._Y01._INT, IRQW)
                And (\_SB.PCI0.LPC.PIRB, 0x0F, Local0)
                Store (One, Local1)
                ShiftLeft (Local1, Local0, IRQW)
                Return (CRES)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, 0x01, IRQW)
                And (\_SB.PCI0.LPC.PIRB, 0x70, Local0)
                Store (Zero, Local1)
                FindSetLeftBit (IRQW, Local1)
                Or (Local0, Decrement (Local1), \_SB.PCI0.LPC.PIRB)
            }
        }

        Device (LNKC)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x03)
            Name (CRES, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, _Y02)
                    {11}
            })
            Method (_STA, 0, NotSerialized)
            {
                And (\_SB.PCI0.LPC.PIRC, 0x80, Local0)
                If (LEqual (Local0, 0x80))
                {
                    Return (0x09)
                }
                Else
                {
                    Return (0x0B)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Or (\_SB.PCI0.LPC.PIRC, 0x80, \_SB.PCI0.LPC.PIRC)
            }

            Name (_PRS, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, )
                    {3,4,5,6,7,10,11,14,15}
            })
            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (CRES, \_SB.LNKC._Y02._INT, IRQW)
                And (\_SB.PCI0.LPC.PIRC, 0x0F, Local0)
                Store (One, Local1)
                ShiftLeft (Local1, Local0, IRQW)
                Return (CRES)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, 0x01, IRQW)
                And (\_SB.PCI0.LPC.PIRC, 0x70, Local0)
                Store (Zero, Local1)
                FindSetLeftBit (IRQW, Local1)
                Or (Local0, Decrement (Local1), \_SB.PCI0.LPC.PIRC)
            }
        }

        Device (LNKD)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x04)
            Name (CRES, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, _Y03)
                    {11}
            })
            Method (_STA, 0, NotSerialized)
            {
                And (\_SB.PCI0.LPC.PIRD, 0x80, Local0)
                If (LEqual (Local0, 0x80))
                {
                    Return (0x09)
                }
                Else
                {
                    Return (0x0B)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Or (\_SB.PCI0.LPC.PIRD, 0x80, \_SB.PCI0.LPC.PIRD)
            }

            Name (_PRS, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, )
                    {3,4,5,6,7,10,11,14,15}
            })
            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (CRES, \_SB.LNKD._Y03._INT, IRQW)
                And (\_SB.PCI0.LPC.PIRD, 0x0F, Local0)
                Store (One, Local1)
                ShiftLeft (Local1, Local0, IRQW)
                Return (CRES)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, 0x01, IRQW)
                And (\_SB.PCI0.LPC.PIRD, 0x70, Local0)
                Store (Zero, Local1)
                FindSetLeftBit (IRQW, Local1)
                Or (Local0, Decrement (Local1), \_SB.PCI0.LPC.PIRD)
            }
        }

        Device (LNKE)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x05)
            Name (CRES, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, _Y04)
                    {11}
            })
            Method (_STA, 0, NotSerialized)
            {
                And (\_SB.PCI0.LPC.PIRE, 0x80, Local0)
                If (LEqual (Local0, 0x80))
                {
                    Return (0x09)
                }
                Else
                {
                    Return (0x0B)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Or (\_SB.PCI0.LPC.PIRE, 0x80, \_SB.PCI0.LPC.PIRE)
            }

            Name (_PRS, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, )
                    {3,4,5,6,7,10,11,14,15}
            })
            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (CRES, \_SB.LNKE._Y04._INT, IRQW)
                And (\_SB.PCI0.LPC.PIRE, 0x0F, Local0)
                Store (One, Local1)
                ShiftLeft (Local1, Local0, IRQW)
                Return (CRES)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, 0x01, IRQW)
                And (\_SB.PCI0.LPC.PIRE, 0x70, Local0)
                Store (Zero, Local1)
                FindSetLeftBit (IRQW, Local1)
                Or (Local0, Decrement (Local1), \_SB.PCI0.LPC.PIRE)
            }
        }

        Device (LNKF)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x06)
            Name (CRES, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, _Y05)
                    {11}
            })
            Method (_STA, 0, NotSerialized)
            {
                And (\_SB.PCI0.LPC.PIRF, 0x80, Local0)
                If (LEqual (Local0, 0x80))
                {
                    Return (0x09)
                }
                Else
                {
                    Return (0x0B)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Or (\_SB.PCI0.LPC.PIRF, 0x80, \_SB.PCI0.LPC.PIRF)
            }

            Name (_PRS, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, )
                    {3,4,5,6,7,10,11,14,15}
            })
            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (CRES, \_SB.LNKF._Y05._INT, IRQW)
                And (\_SB.PCI0.LPC.PIRF, 0x0F, Local0)
                Store (One, Local1)
                ShiftLeft (Local1, Local0, IRQW)
                Return (CRES)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, 0x01, IRQW)
                And (\_SB.PCI0.LPC.PIRF, 0x70, Local0)
                Store (Zero, Local1)
                FindSetLeftBit (IRQW, Local1)
                Or (Local0, Decrement (Local1), \_SB.PCI0.LPC.PIRF)
            }
        }

        Device (LNKG)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x07)
            Name (CRES, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, _Y06)
                    {11}
            })
            Method (_STA, 0, NotSerialized)
            {
                And (\_SB.PCI0.LPC.PIRG, 0x80, Local0)
                If (LEqual (Local0, 0x80))
                {
                    Return (0x09)
                }
                Else
                {
                    Return (0x0B)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Or (\_SB.PCI0.LPC.PIRG, 0x80, \_SB.PCI0.LPC.PIRG)
            }

            Name (_PRS, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, )
                    {3,4,5,6,7,10,11,14,15}
            })
            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (CRES, \_SB.LNKG._Y06._INT, IRQW)
                And (\_SB.PCI0.LPC.PIRG, 0x0F, Local0)
                Store (One, Local1)
                ShiftLeft (Local1, Local0, IRQW)
                Return (CRES)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, 0x01, IRQW)
                And (\_SB.PCI0.LPC.PIRG, 0x70, Local0)
                Store (Zero, Local1)
                FindSetLeftBit (IRQW, Local1)
                Or (Local0, Decrement (Local1), \_SB.PCI0.LPC.PIRG)
            }
        }

        Device (LNKH)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x08)
            Name (CRES, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, _Y07)
                    {11}
            })
            Method (_STA, 0, NotSerialized)
            {
                And (\_SB.PCI0.LPC.PIRH, 0x80, Local0)
                If (LEqual (Local0, 0x80))
                {
                    Return (0x09)
                }
                Else
                {
                    Return (0x0B)
                }
            }

            Method (_DIS, 0, NotSerialized)
            {
                Or (\_SB.PCI0.LPC.PIRH, 0x80, \_SB.PCI0.LPC.PIRH)
            }

            Name (_PRS, ResourceTemplate ()
            {
                IRQ (Level, ActiveLow, Shared, )
                    {3,4,5,6,7,10,11,14,15}
            })
            Method (_CRS, 0, NotSerialized)
            {
                CreateWordField (CRES, \_SB.LNKH._Y07._INT, IRQW)
                And (\_SB.PCI0.LPC.PIRH, 0x0F, Local0)
                Store (One, Local1)
                ShiftLeft (Local1, Local0, IRQW)
                Return (CRES)
            }

            Method (_SRS, 1, NotSerialized)
            {
                CreateWordField (Arg0, 0x01, IRQW)
                And (\_SB.PCI0.LPC.PIRH, 0x70, Local0)
                Store (Zero, Local1)
                FindSetLeftBit (IRQW, Local1)
                Or (Local0, Decrement (Local1), \_SB.PCI0.LPC.PIRH)
            }
        }
    }

    Scope (\_SB.PCI0)
    {
        Method (_OSC, 4, NotSerialized)
        {
            Subtract (Arg2, 0x01, Local0)
            Name (CAPB, Buffer (Multiply (Arg2, 0x04)) {})
            Store (Arg3, CAPB)
            Store (One, Local1)
            CreateDWordField (CAPB, Zero, CAPF)
            While (Local0)
            {
                CreateDWordField (CAPB, Local1, CAPD)
                If (And (CAPF, 0x01))
                {
                    If (LEqual (Local1, 0x01))
                    {
                        And (CAPD, 0x09, CAPD)
                    }
                    Else
                    {
                        Store (Zero, CAPD)
                    }
                }
                Else
                {
                    If (LEqual (Local1, 0x01))
                    {
                        If (And (CAPD, 0x08))
                        {
                            Store (Zero, \_SB.PCI0.MCH1.PMGE)
                            Store (Zero, \_SB.PCI0.MCH3.PMGE)
                            Store (Zero, \_SB.PCI0.MCH5.PMGE)
                            Store (Zero, \_SB.PCI0.MCH9.PMGE)
                            Store (Zero, \_SB.PCI0.PCX1.PMCE)
                            Store (Zero, \_SB.PCI0.PCX2.PMCE)
                            Store (Zero, \_SB.PCI0.PCX3.PMCE)
                            Store (Zero, \_SB.PCI0.LPC.BPEN)
                        }
                    }
                }

                Decrement (Local0)
                Add (Local1, 0x04, Local1)
            }

            Return (CAPB)
        }

        Method (_PS0, 0, NotSerialized)
        {
            If (S3RS)
            {
                Store (UPEC, SSMI)
                Notify (\_SB.PCI0, 0x00)
            }

            Store (0x01, \_SB.PCI0.LPC.GPIE)
            Store (0x10, \_SB.PCI0.LPC.ROUT)
        }

        Method (_PS3, 0, NotSerialized)
        {
            Store (0x00, \_SB.PCI0.LPC.GPIE)
            Store (0x00, \_SB.PCI0.LPC.ROUT)
        }
    }

    Scope (\_SB.PCI0)
    {
        Device (SBD1)
        {
            Name (_HID, EisaId ("PNP0C02"))
            Name (_UID, 0x01)
            Name (_CRS, ResourceTemplate ()
            {
                IO (Decode16,
                    0x0010,             // Range Minimum
                    0x0010,             // Range Maximum
                    0x00,               // Alignment
                    0x10,               // Length
                    )
                IO (Decode16,
                    0x0050,             // Range Minimum
                    0x0050,             // Range Maximum
                    0x00,               // Alignment
                    0x04,               // Length
                    )
                IO (Decode16,
                    0x0072,             // Range Minimum
                    0x0072,             // Range Maximum
                    0x00,               // Alignment
                    0x06,               // Length
                    )
                IO (Decode16,
                    0x0090,             // Range Minimum
                    0x0090,             // Range Maximum
                    0x00,               // Alignment
                    0x10,               // Length
                    )
                IO (Decode16,
                    0x04D0,             // Range Minimum
                    0x04D0,             // Range Maximum
                    0x00,               // Alignment
                    0x02,               // Length
                    )
            })
        }
    }

    Scope (\_SB.PCI0)
    {
        Device (SBD2)
        {
            Name (_HID, EisaId ("PNP0C02"))
            Name (_UID, 0x02)
            Name (CRS1, ResourceTemplate ()
            {
                IO (Decode16,
                    0x0400,             // Range Minimum
                    0x0400,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0x0420,             // Range Minimum
                    0x0420,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0x0440,             // Range Minimum
                    0x0440,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0x0460,             // Range Minimum
                    0x0460,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0x0480,             // Range Minimum
                    0x0480,             // Range Maximum
                    0x00,               // Alignment
                    0x10,               // Length
                    )
                IO (Decode16,
                    0x0490,             // Range Minimum
                    0x0490,             // Range Maximum
                    0x00,               // Alignment
                    0x10,               // Length
                    )
                IO (Decode16,
                    0xF800,             // Range Minimum
                    0xF800,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0xF820,             // Range Minimum
                    0xF820,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0xF840,             // Range Minimum
                    0xF840,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0xF860,             // Range Minimum
                    0xF860,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0xFA00,             // Range Minimum
                    0xFA00,             // Range Maximum
                    0x00,               // Alignment
                    0x40,               // Length
                    )
                IO (Decode16,
                    0xFC00,             // Range Minimum
                    0xFC00,             // Range Maximum
                    0x00,               // Alignment
                    0x80,               // Length
                    )
                IO (Decode16,
                    0xFC80,             // Range Minimum
                    0xFC80,             // Range Maximum
                    0x00,               // Alignment
                    0x80,               // Length
                    )
                IO (Decode16,
                    0xFE00,             // Range Minimum
                    0xFE00,             // Range Maximum
                    0x00,               // Alignment
                    0x80,               // Length
                    )
                IO (Decode16,
                    0xFE80,             // Range Minimum
                    0xFE80,             // Range Maximum
                    0x00,               // Alignment
                    0x80,               // Length
                    )
            })
            Name (CRS2, ResourceTemplate ()
            {
                IO (Decode16,
                    0x004E,             // Range Minimum
                    0x004E,             // Range Maximum
                    0x00,               // Alignment
                    0x02,               // Length
                    )
                IO (Decode16,
                    0x0400,             // Range Minimum
                    0x0400,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0x0420,             // Range Minimum
                    0x0420,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0x0440,             // Range Minimum
                    0x0440,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0x0460,             // Range Minimum
                    0x0460,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0x0480,             // Range Minimum
                    0x0480,             // Range Maximum
                    0x00,               // Alignment
                    0x10,               // Length
                    )
                IO (Decode16,
                    0x0490,             // Range Minimum
                    0x0490,             // Range Maximum
                    0x00,               // Alignment
                    0x10,               // Length
                    )
                IO (Decode16,
                    0x04C0,             // Range Minimum
                    0x04C0,             // Range Maximum
                    0x00,               // Alignment
                    0x0C,               // Length
                    )
                IO (Decode16,
                    0xF800,             // Range Minimum
                    0xF800,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0xF820,             // Range Minimum
                    0xF820,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0xF840,             // Range Minimum
                    0xF840,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0xF860,             // Range Minimum
                    0xF860,             // Range Maximum
                    0x00,               // Alignment
                    0x20,               // Length
                    )
                IO (Decode16,
                    0xFA00,             // Range Minimum
                    0xFA00,             // Range Maximum
                    0x00,               // Alignment
                    0x40,               // Length
                    )
                IO (Decode16,
                    0xFC00,             // Range Minimum
                    0xFC00,             // Range Maximum
                    0x00,               // Alignment
                    0x80,               // Length
                    )
                IO (Decode16,
                    0xFC80,             // Range Minimum
                    0xFC80,             // Range Maximum
                    0x00,               // Alignment
                    0x80,               // Length
                    )
                IO (Decode16,
                    0xFE00,             // Range Minimum
                    0xFE00,             // Range Maximum
                    0x00,               // Alignment
                    0x80,               // Length
                    )
                IO (Decode16,
                    0xFE80,             // Range Minimum
                    0xFE80,             // Range Maximum
                    0x00,               // Alignment
                    0x80,               // Length
                    )
            })
            Method (_CRS, 0, NotSerialized)
            {
                If (LOr (LNot (TPMA), TPMB))
                {
                    Return (CRS1)
                }
                Else
                {
                    Return (CRS2)
                }
            }
        }
    }

    Scope (\_SB.PCI0)
    {
        Device (SBD3)
        {
            Name (_HID, EisaId ("PNP0C02"))
            Name (_UID, 0x03)
            Name (_CRS, ResourceTemplate ()
            {
                Memory32Fixed (ReadOnly,
                    0xFED1C000,         // Address Base
                    0x00004000,         // Address Length
                    )
                Memory32Fixed (ReadOnly,
                    0xFFE00000,         // Address Base
                    0x00200000,         // Address Length
                    )
                Memory32Fixed (ReadOnly,
                    0xFEE00000,         // Address Base
                    0x00100000,         // Address Length
                    )
                Memory32Fixed (ReadOnly,
                    0xFE700000,         // Address Base
                    0x00000400,         // Address Length
                    )
                Memory32Fixed (ReadOnly,
                    0xFE600000,         // Address Base
                    0x00100000,         // Address Length
                    )
                Memory32Fixed (ReadOnly,
                    0xFE000000,         // Address Base
                    0x00020000,         // Address Length
                    )
            })
        }
    }

    Method (_PTS, 1, NotSerialized)
    {
        Store (OPKW, PKWN)
        Store (OPMW, PMWN)
        If (LEqual (Arg0, 0x03))
        {
            Store (S3SV, SSMI)
            If (LAnd (OPMW, FPMW))
            {
                Store (One, PMWN)
            }
            Else
            {
                Store (Zero, PMWN)
            }
        }

        Store (One, PSMI)
        Store (One, SMI6)
    }

    Scope (\_SB.PCI0)
    {
        Name (SLIC, Buffer (0x9E)
        {
            "987134512781Genuine NVIDIA Certified SLI Ready Motherboard for ASUS RAMPAGE II EXT 3287-Copyright 2008 NVIDIA Corporation All Rights Reserved-765289891023(R)"
        })
        Device (WMI1)
        {
            Name (_HID, "pnp0c14")
            Name (_UID, "MXM2")
            Name (_WDG, Buffer (0x14)
            {
                /* 0000 */    0x3C, 0x5C, 0xCB, 0xF6, 0xAE, 0x9C, 0xBD, 0x4E, 
                /* 0008 */    0xB5, 0x77, 0x93, 0x1E, 0xA3, 0x2A, 0x2C, 0xC0, 
                /* 0010 */    0x4D, 0x58, 0x01, 0x02
            })
            Method (WMMX, 3, NotSerialized)
            {
                CreateDWordField (Arg2, 0x00, FUNC)
                If (LEqual (FUNC, 0x41494C53))
                {
                    Return (\_SB.PCI0.SLIC)
                }

                Return (0x00)
            }
        }
    }
}

